Name:           dosbox
Version:        0.72
Release:        1
Epoch:          0
Summary:        An x86/DOS emulator with sound/graphics

Group:          Applications/Emulators
License:        GPLv2+
URL:            http://dosbox.sf.net
Source0:        http://dl.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Source1:        dosbox.desktop
Source2:	dosbox.png
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires:  libpng-devel
BuildRequires:  SDL-devel SDL_net-devel
BuildRequires:  desktop-file-utils
BuildRequires:  alsa-lib-devel
BuildRequires:  xorg-x11-devel

%description

DOSBox is a DOS-emulator using SDL for easy portability to different
platforms. DOSBox has already been ported to several different platforms,
such as Windows, BeOS, Linux, Mac OS X...
DOSBox emulates a 286/386 realmode CPU, Directory FileSystem/XMS/EMS,
a SoundBlaster card for excellent sound compatibility with older games...
You can "re-live" the good old days with the help of DOSBox, it can run plenty
of the old classics that don't run on your new computer!



%prep
%setup -q


%build
%configure --enable-core-inline
%{__make}

%{__make} check


%install
rm -rf ${RPM_BUILD_ROOT}
make install DESTDIR=${RPM_BUILD_ROOT}

desktop-file-install \
  --vendor=fedora \
  --dir=${RPM_BUILD_ROOT}%{_datadir}/applications \
  --add-category=X-Fedora \
  %{SOURCE1}

mkdir -p ${RPM_BUILD_ROOT}%{_datadir}/pixmaps
install -p -m 0644 %SOURCE2 ${RPM_BUILD_ROOT}%{_datadir}/pixmaps

%clean
rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README THANKS
%{_bindir}/*
%{_mandir}/man1/*
%{_datadir}/applications/*
%{_datadir}/pixmaps/dosbox.png

%changelog
* Wed Jan 02 2008 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 0.72-1
- version upgrade

* Thu Mar 30 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0:0.65-1
- version upgrade

* Thu Nov 25 2004 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0:0.63-1
- new version
- added missing BuildRequires
- merged with preextras spec

* Wed Nov 10 2004 Michael Schwendt <mschwendt[AT]users.sf.net>
- Add a desktop file icon from upstream package (fixes fedora.us #1144).

* Mon May 31 2004 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0:0.61-0.fdr.1
- new version

* Mon Dec 22 2003 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0:0.60-0.fdr.1
- new version
- closed bug #1144
* Sun Jul 27 2003 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0:0.58-0.fdr.3
- Fixed minor stuff from #442 #3

* Sun Jul 13 2003 Andreas Bierfert (awjb) <andreas.bierfert[AT]awbsworld.de>
0:0.58-0.fdr.2
- Added desktop entry
- Fixed minor stuff

* Mon Jun 30 2003 Andreas Bierfert (awjb) <andreas.bierfert[AT]awbsworld.de>
0:0.58-0.fdr.1
- Initial RPM release.
